org.eclipse.graphiti.ui.internal.parts

## Interface IPictogramElementDelegate

All Superinterfaces:
  org.eclipse.core.runtime.IAdaptable, IFeatureProviderHolder, IVisualStateHolder

All Known Subinterfaces:
  IAnchorContainerDelegate

All Known Implementing Classes:
  AnchorContainerDelegate, PictogramElementDelegate

    public interface IPictogramElementDelegate
    extends org.eclipse.core.runtime.IAdaptable, IFeatureProviderHolder, IVisualStateHolder

The Interface IPictogramElementDelegate.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `activate()` Activate.
`org.eclipse.draw2d.IFigure` `createFigure()` Creates the figure.
`void` `deactivate()` Deactivate.
`IConfigurationProviderInternal` `getConfigurationProvider()` Gets the configuration provider.
`org.eclipse.draw2d.IFigure` `getFigureForGraphicsAlgorithm(GraphicsAlgorithm graphicsAlgorithm)` Gets the figure for graphics algorithm.
`java.util.List<org.eclipse.draw2d.IFigure>` `getMainFiguresFromChildEditparts()`
`PictogramElement` `getPictogramElement()` Gets the pictogram element.
`boolean` `isValid()`
`void` `refreshDecorators()`
`void` `refreshEditPartsForModelChildrenAndSourceConnections(org.eclipse.gef.EditPart ep)` Refresh edit parts for model children and source connections.
`void` `refreshFigureForEditPart()` Refresh figure for edit part.
`void` `setForceRefresh(boolean forceRefresh)` If set to true, the visual refresh (synchronization of figures and graphics algorithm) will be done even it is not necessary.

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.graphiti.features.IFeatureProviderHolder

`getFeatureProvider`

### Methods inherited from interface org.eclipse.graphiti.platform.ga.IVisualStateHolder

`getVisualState`

### Method Detail

#### createFigure

    org.eclipse.draw2d.IFigure createFigure()

Creates the figure.

Returns:
  the i figure

#### refreshFigureForEditPart

    void refreshFigureForEditPart()

Refresh figure for edit part.

#### getConfigurationProvider

    IConfigurationProviderInternal getConfigurationProvider()

Gets the configuration provider.

Returns:
  the configuration provider

#### getPictogramElement

    PictogramElement getPictogramElement()

Gets the pictogram element.

Returns:
  the pictogram element

#### activate

    void activate()

Activate.

#### deactivate

    void deactivate()

Deactivate.

#### getFigureForGraphicsAlgorithm

    org.eclipse.draw2d.IFigure getFigureForGraphicsAlgorithm(GraphicsAlgorithm graphicsAlgorithm)

Gets the figure for graphics algorithm.

Parameters:
  `graphicsAlgorithm` - the graphics algorithm
Returns:
  the figure for graphics algorithm

#### refreshEditPartsForModelChildrenAndSourceConnections

    void refreshEditPartsForModelChildrenAndSourceConnections(org.eclipse.gef.EditPart ep)

Refresh edit parts for model children and source connections.

Parameters:
  `ep` - the ep

#### setForceRefresh

    void setForceRefresh(boolean forceRefresh)

If set to true, the visual refresh (synchronization of figures and graphics algorithm) will be done even it is not necessary.

Parameters:
  `forceRefresh` -

#### isValid

    boolean isValid()

Returns:
  true, if edit part (and it's delegate) are still valid (alive)

#### getMainFiguresFromChildEditparts

    java.util.List<org.eclipse.draw2d.IFigure> getMainFiguresFromChildEditparts()

#### refreshDecorators

    void refreshDecorators()